package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrAboveallMapper;
import com.ruoyi.project.pssr.domain.TPssrAboveall;
import com.ruoyi.project.pssr.service.ITPssrAboveallService;

/**
 * PSSRService业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrAboveallServiceImpl implements ITPssrAboveallService
{
    @Autowired
    private TPssrAboveallMapper tPssrAboveallMapper;

    /**
     * 查询PSSR
     *
     * @param id PSSRID
     * @return PSSR
     */
    @Override
    public TPssrAboveall selectTPssrAboveallById(Long id)
    {
        return tPssrAboveallMapper.selectTPssrAboveallById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrAboveallMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询PSSR列表
     *
     * @param tPssrAboveall PSSR
     * @return PSSR
     */
    @Override
    public List<TPssrAboveall> selectTPssrAboveallList(TPssrAboveall tPssrAboveall)
    {
        return tPssrAboveallMapper.selectTPssrAboveallList(tPssrAboveall);
    }

    /**
     * 新增PSSR
     *
     * @param tPssrAboveall PSSR
     * @return 结果
     */
    @Override
    public int insertTPssrAboveall(TPssrAboveall tPssrAboveall)
    {
        return tPssrAboveallMapper.insertTPssrAboveall(tPssrAboveall);
    }

    /**
     * 修改PSSR
     *
     * @param tPssrAboveall PSSR
     * @return 结果
     */
    @Override
    public int updateTPssrAboveall(TPssrAboveall tPssrAboveall)
    {
        return tPssrAboveallMapper.updateTPssrAboveall(tPssrAboveall);
    }

    /**
     * 批量删除PSSR
     *
     * @param ids 需要删除的PSSRID
     * @return 结果
     */
    @Override
    public int deleteTPssrAboveallByIds(Long[] ids)
    {
        return tPssrAboveallMapper.deleteTPssrAboveallByIds(ids);
    }

    /**
     * 删除PSSR信息
     *
     * @param id PSSRID
     * @return 结果
     */
    @Override
    public int deleteTPssrAboveallById(Long id)
    {
        return tPssrAboveallMapper.deleteTPssrAboveallById(id);
    }
}
